Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/Boundary.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/Boundary.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/Boundary.zcfg	(revision 9)
@@ -8,19 +8,20 @@
  serviceType = C
  <MetaData>
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
   [InputPolygon]
-   Title = Polygon to be buffered
+   Title = Polygon to compute boundary
    Abstract = URI to a set of GML that describes the polygon.
    minOccurs = 1
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
     <Default>
-     mimeType = text/js
+     mimeType = text/xml
      encoding = UTF-8
+     schema = http://fooa/gml/3.1.0/polygon.xsd
     </Default>
     <Supported>
@@ -30,41 +31,30 @@
     </Supported>
    </ComplexData>
-  [BufferDistance]
-   Title = Buffer Distance
-   Abstract = Distance to be used to calculate buffer.
-   minOccurs = 0
-   maxOccurs = 1
-   <LiteralData>
-    DataType = float
-    <Default>
-     uom = meters
-    </Default>
-    <Supported>
-     uom = feet
-    </Supported>
-   </LiteralData>
  </DataInputs>
  <DataOutputs>
-  [Boundary]
+  [Result]
    Title = The geometry created
    Abstract = The geometry containing the boundary of the geometry on which the method is invoked.
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
     <Default>
-     mimeType = text/xml
+     mimeType = application/json
      encoding = UTF-8
-     schema = http://fooa/gml/3.1.0/polygon.xsd
+     extension = js
      asReference = true	
     </Default>
     <Supported>
      mimeType = text/xml
+     encoding = UTF-8
+     schema = http://fooa/gml/3.1.0/polygon.xsd
+     extension = xml
+    </Supported>
+    <Supported>
+     mimeType = text/xml
      encoding = base64
      schema = http://fooa/gml/3.1.0/polygon.xsd
-    </Supported>
-    <Supported>
-     mimeType = text/js
-     encoding = UTF-8
+     extension = xml
     </Supported>
    </ComplexData>
Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/Buffer.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/Buffer.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/Buffer.zcfg	(revision 9)
@@ -9,5 +9,5 @@
  serviceType = C
  <MetaData lang="en">
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
@@ -18,5 +18,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -49,15 +49,15 @@
  </DataInputs>
  <DataOutputs>
-  [BufferedPolygon]
+  [Result]
    Title = Buffered Polygon
    Abstract = GML stream describing the buffered polygon feature.
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
     <Default>
-     mimeType = text/xml
+     mimeType = application/json
      encoding = UTF-8
-     schema = http://fooa/gml/3.1.0/polygon.xsd
+     extension = js
      asReference = true	
     </Default>
@@ -66,8 +66,11 @@
      encoding = base64
      schema = http://fooa/gml/3.1.0/polygon.xsd
+     extension = xml
     </Supported>
     <Supported>
-     mimeType = application/json
+     mimeType = text/xml
      encoding = UTF-8
+     schema = http://fooa/gml/3.1.0/polygon.xsd
+     extension = xml
     </Supported>
    </ComplexData>
Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/Centroid.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/Centroid.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/Centroid.zcfg	(revision 9)
@@ -1,5 +1,5 @@
 [Centroid]
  Title = Get the centroid of a polygon. 
- Abstract = Create a buffer around a single polygon. Accepts the polygon as GML and provides GML output for the buffered feature. 
+ Abstract = Compute the geometry centroid.
  Profile = urn:ogc:wps:1.0.0:centroid
  processVersion = 2
@@ -9,14 +9,14 @@
  serviceType = C
  <MetaData lang="en">
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
   [InputPolygon]
-   Title = Polygon to be buffered
-   Abstract = URI to a set of GML that describes the polygon.
+   Title = Polygon to get the centroid
+   Abstract = The centroid which is not necessarily within the geometry.
    minOccurs = 1
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -34,25 +34,22 @@
  </DataInputs>
  <DataOutputs>
-  [Centroid]
+  [Result]
    Title = The Centroid
    Abstract = JSON String / GML Entity of the centroid
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
     <Default>
-     mimeType = text/js
+     mimeType = application/json
      encoding = UTF-8
+     extension = js
+     asReference = true	
     </Default>
-    <Supported>
-     mimeType = text/xml
-     encoding = base64
-     schema = http://fooa/gml/3.1.0/point.xsd
-    </Supported>
     <Supported>
      mimeType = text/xml
      encoding = UTF-8
      schema = http://fooa/gml/3.1.0/point.xsd
-     asReference = true	
+     extension = xml
     </Supported>
    </ComplexData>
Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/ConvexHull.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/ConvexHull.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/ConvexHull.zcfg	(revision 9)
@@ -8,14 +8,14 @@
  serviceType = C
  <MetaData lang="en">
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
   [InputPolygon]
-   Title = Polygon to compute are
+   Title = Polygon to compute convexhull
    Abstract = URI to a set of GML that describes the polygon.
    minOccurs = 1
    maxOccurs = 1
    <MetaData lang="en">
-   Test1 = Mon test
+   title = Mon test
    </MetaData>
    <ComplexData>
@@ -37,16 +37,18 @@
    Abstract = The convex hull of the geometry
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
     <Default>
+     mimeType = application/json
+     encoding = UTF-8
+     extension = js
+     asReference = true	
+    </Default>
+    <Supported>
      mimeType = text/xml
      encoding = UTF-8
      schema = http://fooa/gml/3.1.0/polygon.xsd
-    </Default>
-    <Supported>
-     mimeType = text/xml
-     encoding = base64
-     schema = http://fooa/gml/3.1.0/polygon.xsd
+     extension = xml
     </Supported>
    </ComplexData>
Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/Difference.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/Difference.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/Difference.zcfg	(revision 9)
@@ -9,5 +9,5 @@
  serviceType = C
  <MetaData>
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
@@ -18,5 +18,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -38,5 +38,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -54,9 +54,9 @@
  </DataInputs>
  <DataOutputs>
-  [Distance]
-   Title = The distance between two geometries
-   Abstract = The shortest distance between the two geometries.
+  [Result]
+   Title = The difference between two geometries
+   Abstract = The difference between the two geometries.
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
     <ComplexData>
@@ -64,4 +64,5 @@
        mimeType = application/json
        encoding = UTF-8
+       extension = js
      </Default>
      <Supported>
@@ -69,4 +70,5 @@
       schema = http://fooa/gml/3.1.0/polygon.xsd
       encoding = UTF-8
+      extension = xml
      </Supported>
     </ComplexData>
Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/Distance.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/Distance.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/Distance.zcfg	(revision 9)
@@ -9,5 +9,5 @@
  serviceType = C
  <MetaData>
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
@@ -18,5 +18,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -38,5 +38,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -58,5 +58,5 @@
    Abstract = The shortest distance between the two geometries.
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
     <LiteralData>
Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/GetArea.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/GetArea.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/GetArea.zcfg	(revision 9)
@@ -8,5 +8,5 @@
  serviceType = C
  <MetaData lang="en">
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
@@ -17,5 +17,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-   Test1 = Mon test
+   title = Mon test
    </MetaData>
    <ComplexData>
@@ -37,5 +37,5 @@
    Abstract = The Computed Area Value
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
    <LiteralData>
Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/Intersection.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/Intersection.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/Intersection.zcfg	(revision 9)
@@ -9,5 +9,5 @@
  serviceType = C
  <MetaData>
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
@@ -18,5 +18,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -38,5 +38,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -54,9 +54,9 @@
  </DataInputs>
  <DataOutputs>
-  [Distance]
-   Title = The distance between two geometries
-   Abstract = The shortest distance between the two geometries.
+  [Result]
+   Title = Intersection of geometries
+   Abstract = A new geometry representing the intersection or NULL if there is no intersection or an error occurs.
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
     <ComplexData>
@@ -64,4 +64,5 @@
        mimeType = application/json
        encoding = UTF-8
+       extension = js
      </Default>
      <Supported>
@@ -69,4 +70,5 @@
       schema = http://fooa/gml/3.1.0/polygon.xsd
       encoding = UTF-8
+      extension = xml
      </Supported>
     </ComplexData>
Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/SymDifference.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/SymDifference.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/SymDifference.zcfg	(revision 9)
@@ -9,5 +9,5 @@
  serviceType = C
  <MetaData>
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
@@ -18,5 +18,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -38,5 +38,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -54,9 +54,9 @@
  </DataInputs>
  <DataOutputs>
-  [Distance]
-   Title = The distance between two geometries
-   Abstract = The shortest distance between the two geometries.
+  [Result]
+   Title = The resulting geometry
+   Abstract = The symmetric difference of two geometries
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
     <ComplexData>
@@ -64,4 +64,5 @@
        mimeType = application/json
        encoding = UTF-8
+       extension = js
      </Default>
      <Supported>
@@ -69,4 +70,5 @@
       schema = http://fooa/gml/3.1.0/polygon.xsd
       encoding = UTF-8
+      extension = xml
      </Supported>
     </ComplexData>
Index: trunk/zoo-services/ogr/base-vect-ops/cgi-env/Union.zcfg
===================================================================
--- trunk/zoo-services/ogr/base-vect-ops/cgi-env/Union.zcfg	(revision 1)
+++ trunk/zoo-services/ogr/base-vect-ops/cgi-env/Union.zcfg	(revision 9)
@@ -9,5 +9,5 @@
  serviceType = C
  <MetaData>
-   Test = Demo
+   title = Demo
  </MetaData>
  <DataInputs>
@@ -18,5 +18,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -38,5 +38,5 @@
    maxOccurs = 1
    <MetaData lang="en">
-    Test = Mon test  
+    title = Mon test  
    </MetaData>   
    <ComplexData>
@@ -54,9 +54,9 @@
  </DataInputs>
  <DataOutputs>
-  [Distance]
-   Title = The distance between two geometries
-   Abstract = The shortest distance between the two geometries.
+  [Result]
+   Title = The union of two geometries
+   Abstract = The geometry representing the union of the two geometries.
    <MetaData lang="en">
-    Test1 = Mon test  
+    title = Mon test  
    </MetaData>   
     <ComplexData>
@@ -64,4 +64,5 @@
        mimeType = application/json
        encoding = UTF-8
+       extension = js
      </Default>
      <Supported>
@@ -69,4 +70,5 @@
       schema = http://fooa/gml/3.1.0/polygon.xsd
       encoding = UTF-8
+      extension = xml
      </Supported>
     </ComplexData>
